
package cn.orionsec.ops.mapping.system;

import cn.orionsec.kit.lang.utils.convert.TypeStore;
import cn.orionsec.ops.entity.dto.system.SystemSpaceAnalysisDTO;
import cn.orionsec.ops.entity.vo.system.SystemAnalysisVO;

public class SystemAnalysisConversion {

    static {
        TypeStore.STORE.register(SystemSpaceAnalysisDTO.class, SystemAnalysisVO.class, p -> {
            SystemAnalysisVO vo = new SystemAnalysisVO();
            vo.setTempFileCount(p.getTempFileCount());
            vo.setTempFileSize(p.getTempFileSize());
            vo.setLogFileCount(p.getLogFileCount());
            vo.setLogFileSize(p.getLogFileSize());
            vo.setSwapFileCount(p.getSwapFileCount());
            vo.setSwapFileSize(p.getSwapFileSize());
            vo.setDistVersionCount(p.getDistVersionCount());
            vo.setDistFileSize(p.getDistFileSize());
            vo.setRepoVersionCount(p.getRepoVersionCount());
            vo.setRepoVersionFileSize(p.getRepoVersionFileSize());
            vo.setScreenFileCount(p.getScreenFileCount());
            vo.setScreenFileSize(p.getScreenFileSize());
            return vo;
        });
    }

}
